CHOPTEST(8C)

NAME
choptest - HylaFAX page chopping test program

SYNOPSIS
/usr/sbin/choptest [ options ] input.tif

DESCRIPTION
choptest is a program for testing the page chopping support in the HylaFAX software (specifically, in the faxq(8C) program). choptest analyzes a TIFF/F (TIFF Class F) file with 1-D MH- or 2-D MR-encoded data and reports what the automatic page chopping logic would do if the file were submitted for transmission. Options are provided for controlling whether choptest checks the last page or all pages of the document, and what whitespace threshold to use in deciding if a page should be chopped.

OPTIONS

-a  Chop all pages in the document. This is equivalent to setting the PageChop configuration parameter to ``all''; c.f. hylafax-config(5F). By default only the last page of the document is considered.

-t inches
    Set the minimum whitespace threshold that must be present on a page for it to be chopped. This is equivalent to the PageChopThreshold configuration parameter; c.f. hylafax-config(5F). By default choptest requires that at least 3 inches of trailing whitespace be present.

EXAMPLES
The following shows a multi-page, high-resolution document. Each page has insufficient whitespace for it to be chopped.

hyla% ./choptest -a ~/tiff/pics/faxix.tif
Chop pages with >=3" of white space at the bottom.
Don't chop, found 67 rows, need 588 rows
Don't chop, found 67 rows, need 588 rows
Don't chop, found 67 rows, need 588 rows
Don't chop, found 53 rows, need 588 rows
Don't chop, found 91 rows, need 588 rows
Don't chop, found 99 rows, need 588 rows
Don't chop, found 47 rows, need 588 rows

SEE ALSO
faxq(8C), hylafax-config(5F)